D4Science Infrastructure - Incident #10372

Authorization service: pgpool problem
Nov 20, 2017 10:18 AM - Roberto Cirillo

Status: Closed Start date: Nov 20, 2017
Priority: Immediate Due date:

Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development, Pre-Production

Description

The pgpool cluster seems to be blocked. I've tried the restore procedure without success. Please, could you take a look?

postgresl-d-di4s
postgres2-d-d4s

Related issues:
Related to D4Science Infrastructure - Task #10377: Disable SSL from the pgpoo... Closed Nov 20, 2017 Nov 30, 2017

History

#1 - Nov 20, 2017 10:22 AM - Lucio Lelii

the error from the authorization service is
Internal Exception: org.postgresgl.util.PSQLException: ERROR: pgpool is not accepting any new connections
Detail: all backend nodes are down, pgpool requires at least one valid node

Hint: repair the backend nodes and restart pgpool
Error Code: 0

#2 - Nov 20, 2017 10:42 AM - Pasquale Pagano

- Priority changed from Urgent to Immediate

#3 - Nov 20, 2017 10:52 AM - Roberto Cirillo

I've tried to restart postgres and pgpool but nothing change. After that, I've tried to perform the procedure to failover the cluster but I've the following
error:

ERROR: connection to host "localhost" failed with error "Connection refused"

#4 - Nov 20, 2017 11:23 AM - Andrea Dell'Amico

- Status changed from New to In Progress

#5 - Nov 20, 2017 11:46 AM - Massimiliano Assante

- Has duplicate Incident #10373: Authorisation service dev and preprod is broken added

#6 - Nov 20, 2017 11:54 AM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The auth service is connected to the pgpool service now. | still need to investigate what's happened. I've found that the auth service was down, |
restarted it and it seems working.

On the pgpool cluster, one of the postgresql servers was marked as down but it's not a problem, it happened often in the past and it's harmless.

I'm trying to understand what happened.

#7 - Nov 20, 2017 02:59 PM - Andrea Dell'Amico
- Related to Task #10377: Disable SSL from the pgpool-clustered postgresql instances added

#8 - Nov 20, 2017 03:25 PM - Andrea Dell'’Amico

Dec 15, 2025 1/2




I'm closing the incident. A permanent solution will be provided in #10377

#9 - Nov 20, 2017 03:48 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed

#10 - Nov 21,2017 11:58 AM - Massimiliano Assante
- Has duplicate deleted (Incident #10373: Authorisation service dev and preprod is broken)
